Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/src/agrif_partial_steps.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/src/agrif_partial_steps.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/src/agrif_partial_steps.f90	(revision 10251)
@@ -36,5 +36,5 @@
     !       
     TYPE(Coordinates) :: Grid                     
-    REAL*8 :: za2,za1,za0,zsur,zacr,zkth,zacr2,zkth2,zdepth,zdepwp,zmin,zmax,zdiff,ze3tp,ze3wp
+    REAL*8 :: za1,za0,zsur,zacr,zkth,zdepth,zdepwp,zmin,zmax,zdiff,ze3tp,ze3wp
     INTEGER :: i,j,jk,jj,ji,jpj,jpi,ik,ii,ipt,jpt
     INTEGER, DIMENSION(1) :: k
@@ -76,5 +76,4 @@
        za0  = pa0
        za1  = pa1
-       za2  = pa2
        !
     ELSE
@@ -89,41 +88,17 @@
     ENDIF
 
-    zacr  = ppacr
-    zkth  = ppkth     
-    zacr2 = ppacr2
-    zkth2 = ppkth2  
-    !
-    IF( ppkth == 0. ) THEN            !  uniform vertical grid 
-         za1 = pphmax / FLOAT(N-1) 
-         DO i = 1, N
-            gdepw(i) = ( i - 1   ) * za1
-            gdept(i) = ( i - 0.5 ) * za1
-            e3w  (i) =  za1
-            e3t  (i) =  za1
-         END DO
-    ELSE                            ! Madec & Imbard 1996 function
-       IF( .NOT. ldbletanh ) THEN
-          DO i = 1,N
-             ! 
-             gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
-             gdept(i) = (zsur+za0*(i+0.5)+za1*zacr*LOG(COSH(((i+0.5)-zkth)/zacr)))
-             e3w(i)   = (za0 + za1 * TANH((i-zkth)/zacr))
-             e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
-             !
-          END DO
-       ELSE
-            DO i = 1,N
-               ! Double tanh function
-               gdepw(i) = ( zsur + za0*i  + za1 * zacr * LOG ( COSH( (i-zkth ) / zacr  ) )               &
-                  &                       + za2 * zacr2* LOG ( COSH( (i-zkth2) / zacr2 ) )  )
-               gdept(i) = ( zsur + za0*(i+0.5) + za1 * zacr * LOG ( COSH( ((i+0.5)-zkth ) / zacr  ) )    &
-                  &                            + za2 * zacr2* LOG ( COSH( ((i+0.5)-zkth2) / zacr2 ) )  )
-               e3w  (i) =          za0         + za1        * TANH(       (i-zkth ) / zacr  )            &
-                  &                            + za2        * TANH(       (i-zkth2) / zacr2 )
-               e3t  (i) =          za0         + za1        * TANH(       ((i+0.5)-zkth ) / zacr  )      &
-                  &                            + za2        * TANH(       ((i+0.5)-zkth2) / zacr2 )
-            END DO
-       ENDIF
-    ENDIF
+    zacr = ppacr
+    zkth = ppkth       
+    !
+    DO i = 1,N
+       ! 
+       gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
+       gdept(i) = (zsur+za0*(i+0.5)+za1*zacr*LOG(COSH(((i+0.5)-zkth)/zacr)))
+       e3w(i)   = (za0 + za1 * TANH((i-zkth)/zacr))
+       e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
+       !
+    END DO
+    !
+
     gdepw(1) = 0.0  
     !
@@ -131,8 +106,5 @@
     !
     zmax = gdepw(N) + e3t(N)
-    IF( rn_hmin < 0. ) THEN  ;   i = - INT( rn_hmin )                                  ! from a nb of level
-    ELSE                     ;   i = MINLOC( gdepw, mask = gdepw > rn_hmin, dim = 1 )  ! from a depth
-    ENDIF
-    zmin = gdepw(i+1)
+    zmin = gdepw(4)
     !
     ! Initialize bathy_level to the maximum ocean level available
@@ -263,12 +235,11 @@
     INTEGER :: i,j,ji,ij,ii,jj,jpt,ipt
     REAL,DIMENSION(N) :: gdepw,e3t
-    REAL :: za0,za1,za2,zsur,zacr,zacr2,zkth,zkth2,zmin,zmax,zdepth
+    REAL :: za0,za1,zsur,zacr,zkth,zmin,zmax,zdepth
     INTEGER :: kbathy,jk,diff
     INTEGER :: bornex,borney,bornex2,borney2
-    !
+    !       
     IF ( ( pa0 == 0 .OR. pa1 == 0 .OR. psur == 0 ) &
          .AND. ppdzmin.NE.0 .AND. pphmax.NE.0 ) THEN 
        !    
-       WRITE(*,*) 'psur,pa0,pa1 computed'
        za1=( ppdzmin - pphmax / (N-1) )          &
             / ( TANH((1-ppkth)/ppacr) - ppacr/(N-1) &
@@ -282,9 +253,7 @@
          pa0.NE.0 .AND. pa1.NE.0 ) THEN
        !       
-       WRITE(*,*) 'psur,pa0,pa1 given by namelist'
        zsur = psur
        za0  = pa0
        za1  = pa1
-       za2  = pa2
        !
     ELSE
@@ -294,39 +263,19 @@
        WRITE(*,*) 'please check values of variables'
        WRITE(*,*) 'in namelist vertical_grid section'
-       WRITE(*,*) ' '  
-       STOP    
+       WRITE(*,*) ' '      
        !       
     ENDIF
-
-    zacr  = ppacr
-    zkth  = ppkth     
-    zacr2 = ppacr2
-    zkth2 = ppkth2  
-    !
-    IF( ppkth == 0. ) THEN            !  uniform vertical grid 
-         za1 = pphmax / FLOAT(N-1) 
-         DO i = 1, N
-            gdepw(i) = ( i - 1   ) * za1
-            e3t  (i) =  za1
-         END DO
-    ELSE                            ! Madec & Imbard 1996 function
-       IF( .NOT. ldbletanh ) THEN
-          DO i = 1,N
-             ! 
-             gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
-             e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
-             !
-          END DO
-       ELSE
-            DO i = 1,N
-               ! Double tanh function
-               gdepw(i) = ( zsur + za0*i  + za1 * zacr * LOG ( COSH( (i-zkth ) / zacr  ) )               &
-                  &                       + za2 * zacr2* LOG ( COSH( (i-zkth2) / zacr2 ) )  )
-               e3t  (i) =          za0         + za1        * TANH(       ((i+0.5)-zkth ) / zacr  )      &
-                  &                            + za2        * TANH(       ((i+0.5)-zkth2) / zacr2 )
-            END DO
-       ENDIF
-    ENDIF
+    !       
+    zacr = ppacr
+    zkth = ppkth       
+    !
+    DO i = 1,N
+       ! 
+       gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr)))
+       e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))       
+    END DO
+    !
     gdepw(1) = 0.0
+    !
     !
     diff = 0      
@@ -395,8 +344,5 @@
     !
     zmax = gdepw(N) + e3t(N)
-    IF( rn_hmin < 0. ) THEN  ;   i = - INT( rn_hmin )                                  ! from a nb of level
-    ELSE                     ;   i = MINLOC( gdepw, mask = gdepw > rn_hmin, dim = 1 )  ! from a depth
-    ENDIF
-    zmin = gdepw(i+1)
+    zmin = gdepw(4) 
     !
     ! check that interpolated value stays at the same level         
@@ -700,5 +646,5 @@
     REAL*8, DIMENSION(:,:,:) :: fse3u,fse3t,fse3v
     !                                  
-    REAL*8 :: za2,za1,za0,zsur,zacr,zkth,zacr2,zkth2,zdepth,zdepwp,zmin,zmax,zdiff,ze3tp,ze3wp
+    REAL*8 :: za1,za0,zsur,zacr,zkth,zdepth,zdepwp,zmin,zmax,zdiff,ze3tp,ze3wp
     INTEGER :: i,j,jk,jj,ji,jpj,jpi,ik,ii,ipt,jpt,jpk
     INTEGER, DIMENSION(1) :: k
@@ -714,5 +660,5 @@
     ALLOCATE(gdepw(jpk),e3t(jpk))
     ALLOCATE(gdepw_ps(jpi,jpj,jpk))                  
-    !  
+    !       
     IF ( ( pa0 == 0 .OR. pa1 == 0 .OR. psur == 0 ) &
          .AND. ppdzmin.NE.0 .AND. pphmax.NE.0 ) THEN 
@@ -722,6 +668,6 @@
             / ( TANH((1-ppkth)/ppacr) - ppacr/(jpk-1) &
             *  (  LOG( COSH( (jpk - ppkth) / ppacr) )      &
-            - LOG( COSH( ( 1  - ppkth) / ppacr) )  )  )
-
+            - LOG( COSH( ( 1  - ppkth) / ppacr) )  )  ) 
+       !
        za0  = ppdzmin - za1 * TANH( (1-ppkth) / ppacr )
        zsur = - za0 - za1 * ppacr * LOG( COSH( (1-ppkth) / ppacr )  )
@@ -730,53 +676,18 @@
          pa0.NE.0 .AND. pa1.NE.0 ) THEN
        !       
-       WRITE(*,*) 'psur,pa0,pa1 given by namelist'
        zsur = psur
        za0  = pa0
-       za1  = pa1
-       za2  = pa2
-       !
-    ELSE
-       !       
-       WRITE(*,*) 'ERROR ***** bad vertical grid parameters ...' 
-       WRITE(*,*) ' '
-       WRITE(*,*) 'please check values of variables'
-       WRITE(*,*) 'in namelist vertical_grid section'
-       WRITE(*,*) ' '  
-       STOP    
+       za1  = pa1   
        !       
     ENDIF
 
-    zacr  = ppacr
-    zkth  = ppkth     
-    zacr2 = ppacr2
-    zkth2 = ppkth2  
-    !
-    IF( ppkth == 0. ) THEN            !  uniform vertical grid 
-         za1 = pphmax / FLOAT(jpk-1) 
-         DO i = 1, jpk
-            gdepw(i) = ( i - 1   ) * za1
-            e3t  (i) =  za1
-         END DO
-    ELSE                            ! Madec & Imbard 1996 function
-       IF( .NOT. ldbletanh ) THEN
-          DO i = 1,jpk
-             ! 
-             gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
-             e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
-             !
-          END DO
-       ELSE
-            DO i = 1,jpk
-               ! Double tanh function
-               gdepw(i) = ( zsur + za0*i  + za1 * zacr * LOG ( COSH( (i-zkth ) / zacr  ) )               &
-                  &                       + za2 * zacr2* LOG ( COSH( (i-zkth2) / zacr2 ) )  )
-               e3t  (i) =          za0         + za1        * TANH(       ((i+0.5)-zkth ) / zacr  )      &
-                  &                            + za2        * TANH(       ((i+0.5)-zkth2) / zacr2 )
-            END DO
-       ENDIF
-    ENDIF         
+    zacr = ppacr
+    zkth = ppkth       
     !         
     !                
     DO i = 1,jpk
+       ! 
+       gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
+       e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
        !       
        fse3t(:,:,i) = e3t(i)
@@ -789,8 +700,5 @@
     !
     zmax = gdepw(jpk) + e3t(jpk)
-    IF( rn_hmin < 0. ) THEN  ;   i = - INT( rn_hmin )                                  ! from a nb of level
-    ELSE                     ;   i = MINLOC( gdepw, mask = gdepw > rn_hmin, dim = 1 )  ! from a depth
-    ENDIF
-    zmin = gdepw(i+1)
+    zmin = gdepw(4)
     !
     DO jj = 1, jpj
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/src/agrif_types.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/src/agrif_types.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/src/agrif_types.f90	(revision 10251)
@@ -51,9 +51,7 @@
   INTEGER jpizoom,jpjzoom,nb_connection_pts
   !      
-  REAL*8 rn_hmin
-  REAL*8 ppkth2, ppacr2, ppkth,ppacr,ppdzmin,pphmax,smoothing_factor,e3zps_min,e3zps_rat
-  REAL*8 psur,pa0,pa1,pa2,adatrj
+  REAL*8 ppacr,ppdzmin,pphmax,ppkth,smoothing_factor,e3zps_min,e3zps_rat
+  REAL*8 psur,pa0,pa1,adatrj
   !       
-  LOGICAL ldbletanh
   LOGICAL partial_steps,smoothing,bathy_update
   LOGICAL new_topo,removeclosedseas,dimg,iom_activated
@@ -72,9 +70,9 @@
   !      
   NAMELIST /bathymetry/new_topo,elevation_database,elevation_name,smoothing,smoothing_factor, &
-       nb_connection_pts,removeclosedseas,type_bathy_interp,rn_hmin      
+       nb_connection_pts,removeclosedseas,type_bathy_interp      
   !      
   NAMELIST /nesting/imin,imax,jmin,jmax,rho,rhot,bathy_update,updated_parent_file      
   !
-  NAMELIST /vertical_grid/ppkth,ppacr,ppdzmin,pphmax,psur,pa0,pa1,N,ldbletanh,ppa2,ppkth2,ppacr2
+  NAMELIST /vertical_grid/ppkth,ppacr,ppdzmin,pphmax,psur,pa0,pa1,N
   ! 
   NAMELIST /partial_cells/partial_steps,parent_bathy_meter,parent_batmet_name,e3zps_min,e3zps_rat      
